/**
 *
 * SIROCCO
 * Copyright (C) 2011 France Telecom
 * Contact: sirocco@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 *  $Id: PerfMetricInfoDummy.java 397 2011-10-03 14:00:36Z dangtran $
 *
 */

package org.ow2.sirocco.vmm.agent.monitoring.driver.dummy;

import java.util.Date;
import java.util.HashMap;
import java.util.Map;

import org.ow2.sirocco.vmm.api.monitoring.PerfMetricInfo;

public class PerfMetricInfoDummy implements PerfMetricInfo {
    private String name;

    private String description;

    private Unit unit;

    private Date startTime;

    public Map<Long, Long> agregationTemporal;

    public PerfMetricInfoDummy(final String name, final Unit unit, final Date startTime,
        final HashMap<Long, Long> agregationTemporal) {
        super();
        this.name = name;
        this.unit = unit;
        this.startTime = startTime;
        this.agregationTemporal = agregationTemporal;
    }

    public Map<Long, Long> getAgregationTemporal() {
        return this.agregationTemporal;
    }

    public void setAgregationTemporal(final Map<Long, Long> agregationTemporal) {
        this.agregationTemporal = agregationTemporal;
    }

    public String getDescription() {
        return this.description;
    }

    public void setDescription(final String description) {
        this.description = description;
    }

    public Date getStartTime() {
        return this.startTime;
    }

    public void setStartTime(final Date startTime) {
        this.startTime = startTime;
    }

    public void setName(final String name) {
        this.name = name;
    }

    public void setUnit(final Unit unit) {
        this.unit = unit;
    }

    @Override
    public String getName() {
        return this.name;
    }

    @Override
    public Unit getUnit() {
        return this.unit;
    }

}
